# Generated by Selenium IDE
# import pytest
import unittest
import time
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.action_chains import ActionChains
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities
from selenium.webdriver.support.ui import WebDriverWait


class SeleniumR(unittest.TestCase):
    """
    Cela va lancer un navigateur !
    il faut installer Firefox et geckodrive (on peut faire avec CHrome et son driver aussi)
    """

    def setUp(self):
        chrome_options = webdriver.ChromeOptions()
        self.driver = webdriver.Remote(
            command_executor='http://172.18.0.1:4444/wd/hub',
            options=chrome_options
        )
        self.vars = {}

    def tearDown(self):
        time.sleep(10)
        self.driver.quit()

    def test_nouveau_bizuth(self):
        self.driver.get("http://172.18.0.1:3000/")

        self.driver.execute_script("window.localStorage.setItem('basictoken',window.btoa('selenium:hjklhjkl'))")
        self.driver.add_cookie({
            "name": "useBasicAuth",
            "value": "true"
        })
        self.driver.find_element_by_id("loginButton").click()

        self.driver.find_element_by_id("completeMember").click()

        #time.sleep(2) #visiblement Selenium va trop vote
        birthayInput = WebDriverWait(self.driver, 10).until(lambda x: x.find_element_by_id('memberBirthday'))

        #birthayInput = self.driver.find_element_by_id("memberBirthday")
        birthayInput.click()
        #birthayInput.send_keys("2001-12-31")
        birthayInput.send_keys("03-21-2012")

        self.driver.find_element(By.ID, "studentNumber").click()
        self.driver.find_element(By.ID, "studentNumber").send_keys("4564654654")

        self.driver.find_element(By.CSS_SELECTOR, ".btn:nth-child(4)").click()  # clique sur "enregistrer"


